classification
Title: Rename and expose dataclasses._MISSING
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.smith Nosy List: eric.smith
Priority: normal Keywords: patch

Created on 2017-12-26 12:43 by eric.smith, last changed 2018-01-06 17:53 by eric.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5045 merged eric.smith, 2017-12-29 14:54
Messages (2)
msg309063 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2017-12-26 12:43
There are occasions where you want to know the missing value, such as introspection and in cases like: Field(default=a if a is not None else _MISSING).

I'll rename _MISSING to MISSING.
msg309188 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2017-12-29 19:00
New changeset 03220fdb26c0b6a50ce5ed1fdfbf232094b66db6 by Eric V. Smith in branch 'master':
bpo-32427: Expose dataclasses.MISSING object. (#5045)
https://github.com/python/cpython/commit/03220fdb26c0b6a50ce5ed1fdfbf232094b66db6
History
Date User Action Args
2018-01-06 17:53:29eric.smithsetstatus: open -> closed
2017-12-29 19:01:34eric.smithsettype: behavior
resolution: fixed
stage: patch review -> resolved
2017-12-29 19:00:01eric.smithsetmessages: + msg309188
2017-12-29 14:54:21eric.smithsetkeywords: + patch
stage: patch review
pull_requests: + pull_request4926
2017-12-26 12:43:46eric.smithcreate